package cz.nic.tablexia;

import com.badlogic.gdx.backends.iosrobovm.IOSApplication;
import com.badlogic.gdx.backends.iosrobovm.IOSApplicationConfiguration;

import org.robovm.apple.foundation.NSAutoreleasePool;
import org.robovm.apple.foundation.NSBundle;
import org.robovm.apple.foundation.NSDictionary;
import org.robovm.apple.foundation.NSString;
import org.robovm.apple.uikit.UIApplication;

import java.util.Locale;

public class IOSLauncher extends IOSApplication.Delegate {

    public static final Tablexia.SQLConnectionType SQL_CONNECTION_TYPE = new Tablexia.SQLConnectionType("SQLite.JDBCDriver", "jdbc:sqlite:");

    @Override
    protected IOSApplication createApplication() {
        IOSApplicationConfiguration config = new IOSApplicationConfiguration();

        NSDictionary infoDictionary = NSBundle.getMainBundle().getInfoDictionary();
        String buildType = infoDictionary.get(new NSString("cz.nic.tablexia.BuildType")).toString();

        return new IOSApplication(new Tablexia(buildType,
                                               Locale.getDefault(),
                                               SQL_CONNECTION_TYPE,
                                               false), config);
    }

    public static void main(String[] argv) {
        NSAutoreleasePool pool = new NSAutoreleasePool();
        UIApplication.main(argv, null, IOSLauncher.class);
        pool.close();
    }
}